@echo off
REM Batch script to install the Vextoria Client and apply registry settings

echo Installing Vextoria Client and applying registry settings...

REM Define the source for the .reg file and the destination for the game installation
set "regfile=%~dp0VextoriaClientURLProtocol.reg"
set "gameinstaller=%~dp0Vextoria Installer.exe"
set "dest=C:\Program Files (x86)\Vextoria Client"

REM Check if Program Files (x86) directory exists for Vextoria Client
if not exist "%dest%" (
    mkdir "%dest%"
)

REM Run the game installer
echo Running game installer...
start /wait "" "%gameinstaller%"

REM Apply the .reg file to set up the URL protocol
if exist "%regfile%" (
    echo Applying registry settings...
    regedit /s "%regfile%"
) else (
    echo ERROR: .reg file not found!
    exit /b 1
)

echo Installation and registry setup complete.
pause
